<ion-header>
  <ion-navbar>
      <button ion-button menuToggle>
          <ion-icon name="menu"></ion-icon>
        </button>
    <ion-title>AddLocal</ion-title>
  </ion-navbar>

</ion-header>


<ion-content padding>
  <div class="addlocal">
    Add Local:
    <ion-list>
        
          <ion-item>
            <ion-input type="text" placeholder="Name" [(ngModel)]="localToAdd.name"></ion-input>
          </ion-item>
        
          <ion-item>
            <ion-input type="text" placeholder="Address" [(ngModel)]="localToAdd.address"></ion-input>
          </ion-item>

          <ion-item>
            <ion-input type="text" placeholder="Image" [(ngModel)]="localToAdd.image"></ion-input>
          </ion-item>
        
    </ion-list>

    <div padding>
        <button ion-button (click)="addLocal()" block>Add Local</button>
    </div>
  </div>

  <div class="listlocal">


    Modica Schedule Locali:
    <div ion-item *ngFor="let item of localList" (click)="showSchedule(item)" 
    [ngClass]="{'selectedLocal': item.name == localToModify.name}">
        <h3>{{ item.name }} </h3>
    </div>  
    
    <div ion-item *ngFor="let item of schedulesToModify">
      <p>{{ activity.formatDate(item.date) }}</p>
      <p>Durata: {{item.duration}} minuti</p>
    </div>



    <ion-item *ngIf="localToModify != ''">
      <ion-label>Date</ion-label>
      <ion-datetime displayFormat="MMM DD, YYYY HH:mm"
       [(ngModel)]="newscheduledate"></ion-datetime>
    </ion-item>
    <ion-item *ngIf="localToModify != ''">
      <ion-label>Durata</ion-label>
      <ion-select [(ngModel)]="newscheduleduration">
        <ion-option value="30">30 minuti</ion-option>
        <ion-option value="60">1 ora</ion-option>
      </ion-select>
    </ion-item>
    <div padding *ngIf="localToModify != ''">
      <button ion-button (click)="saveSchedule()" block>Salva schedule</button>
    </div>
  </div>
</ion-content>
